#include <iostream>
#include <cmath>

using namespace std;

int main(){

    ios::sync_with_stdio(false);
    cin.tie(0);

    int n,m,k;

    cin >> n >> m >> k;

    n = (((n - 1) / k) + 1) * k;
    m = (((m - 1) / k) + 1) * k;

    int ans = m * n / pow(k,2);

    cout << ans << "\n";

    return 0;
}